Subject: Re: bug#12638: 24.2.50; FR: Some suggestions for icomplete-mode

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Dec 2012 20:26:22 -0500

> How about subtly fontifying the minibuffer contents itself.

The problem is that this can already be fontified by various other
options and packages, so there's a good chance that it will
interact poorly.  Also it might not work at all in a tty.

> We can also have:
>     1. an empty space with some background fontification
>     2. a non-breaking space
> Both (1) and (2) without surrounding `()'.

An empty space is actually not a bad idea.  I also considered
a checkmark ✓, but a space is simple and works everywhere.

> Drew suggested unicode '*'.

Yes, that could work as well.  Also he suggested putting it within the
{...} rather than before it.

> I went with a control character because:
>     1. It suggests what my fingers should do

Aaaaahhhhhh!!!!!! That's where it came from!!  OK, it makes more sense, now.
So, there is logic to it, but I completely missed it.

> ps: Is ^M as a literal two character text more palatable than ^M as an
>     escape glyph.

Same difference, since it's only the visual appearance that
matters here.

        Stefan